:root {
	--heck-background-color: #000000;
	--heck-foreground-color: #999999;
	--heck-border-color: #333333;
	--heck-banner-background: #cccccc;
	--heck-banner-foreground: #333333;
}

@media(prefers-color-scheme: light) {
	:root {
		--heck-background-color: #ffffff;
		--heck-foreground-color: #000000;
		--heck-border-color: #cccccc;
		--heck-banner-background: #333333;
		--heck-banner-foreground: #cccccc;
	}
}

* {
	background-color: var(--heck-background-color);
	color: var(--heck-foreground-color);
}

body {
	margin: 0;
	padding: 0;
}

#heck-banner {
	background-color: var(--heck-banner-background);
	color: var(--heck-banner-foreground);
	width: 100%;
	position: sticky;
	margin: 0;
	border: none;
	height: 3.5ex;
	z-index: 100;
}

#heck-menu {
	position: fixed;
	top: 3.5ex;
}

#heck-menu-button {
	width: 3ch;
	text-align: center;
	margin-right: 0.25em;
	cursor: arrow;
}

#heck-banner * {
	background-color: inherit;
	color: inherit;
}
